mutation createHub(
  $name: String!
  $locationName: String
  $address: String
  $nfcTagId: String
  $ownerId: UUID!
) @auth(level: USER) {
  hub_insert(
    data: {
      name: $name
      locationName: $locationName
      address: $address
      nfcTagId: $nfcTagId
      ownerId: $ownerId
    }
  ) 
}

mutation updateHub(
  $id: UUID!
  $name: String
  $locationName: String
  $address: String
  $nfcTagId: String
  $ownerId: UUID
) @auth(level: USER) {
  hub_update(
    id: $id
    data: {
      name: $name
      locationName: $locationName
      address: $address
      nfcTagId: $nfcTagId
      ownerId: $ownerId
    }
  ) 
}

mutation deleteHub($id: UUID!) @auth(level: USER) {
  hub_delete(id: $id) 
}
